<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Grid Layout</title>
  <link rel="stylesheet" href="style-START.css">
</head>
<body>

  <h2>Propiedad contenedor: <span class="monotype">grid-template-columns</span> / <span class="monotype">grid-template-rows</span></h2>
  <div class="grid-container grid-template-colrows">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
    <div class="grid-item">F</div>
    <div class="grid-item">G</div>
    <div class="grid-item">H</div>
    <div class="grid-item">I</div>
    <div class="grid-item">J</div>
    <div class="grid-item">K</div>
    <div class="grid-item">L</div>
    <div class="grid-item">M</div>
    <div class="grid-item">N</div>
    <div class="grid-item">O</div>
  </div>

  <h2>Propiedad <span class="monotype">grid-template-areas</span></h2>
  <div class="grid-container grid-template-areas">
    <div class="grid-item gta-header">A</div>
    <div class="grid-item gta-main">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item gta-sidebar">D</div>
    <div class="grid-item gta-footer">E</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">grid-template</span></h2>
  <div class="grid-container grid-template">
    <div class="grid-item gta-header">A</div>
    <div class="grid-item gta-main">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item gta-sidebar">D</div>
    <div class="grid-item gta-footer">E</div>
    <div class="grid-item">F</div>
    
  </div>

  <h2>Propiedad contenedor: <span class="monotype">grid-column—gap</span> / <span class="monotype">grid-row—gap</span></h2>
  <div class="grid-container grid-colrow—gap">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
    <div class="grid-item">F</div>
    <div class="grid-item">G</div>
    <div class="grid-item">H</div>
    <div class="grid-item">I</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">grid-gap</span></h2>
  <div class="grid-container grid-gap">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
    <div class="grid-item">F</div>
    <div class="grid-item">G</div>
    <div class="grid-item">H</div>
    <div class="grid-item">I</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">justify-items</span></h2>
  <div class="grid-container justify-items">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
    <div class="grid-item">F</div>
    <div class="grid-item">G</div>
    <div class="grid-item">H</div>
    <div class="grid-item">I</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">align-items</span></h2>
  <div class="grid-container align-items">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
    <div class="grid-item">F</div>
    <div class="grid-item">G</div>
    <div class="grid-item">H</div>
    <div class="grid-item">I</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">place-items</span></h2>
  <div class="grid-container place-items">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
    <div class="grid-item">F</div>
    <div class="grid-item">G</div>
    <div class="grid-item">H</div>
    <div class="grid-item">I</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">justify-content</span></h2>
  <div class="grid-container justify-content">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
    <div class="grid-item">F</div>
    <div class="grid-item">G</div>
    <div class="grid-item">H</div>
    <div class="grid-item">I</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">align-content</span></h2>
  <div class="grid-container align-content">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
    <div class="grid-item">F</div>
    <div class="grid-item">G</div>
    <div class="grid-item">H</div>
    <div class="grid-item">I</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">place-content</span></h2>
  <div class="grid-container place-content">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
    <div class="grid-item">F</div>
    <div class="grid-item">G</div>
    <div class="grid-item">H</div>
    <div class="grid-item">I</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">grid-auto-columns</span> / <span class="monotype">grid-auto-rows</span></h2>
  <div class="grid-container grid-auto-colrows">
    <div class="grid-item elemento-a">A</div>
    <div class="grid-item elemento-b">B</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">grid-auto-flow</span></h2>
  <div class="grid-container grid-auto-flow">
    <div class="grid-item elemento-a">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item elemento-c">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item elemento-d">E</div>
  </div>

  <h2>Propiedad contenedor: <span class="monotype">grid</span></h2>
  <div class="grid-container grid">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
  </div>

  <div class="grid-container grid-complex">
    <div class="grid-item">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
    <div class="grid-item">F</div>
  </div>



  <hr>



  <h2>Propiedad elementos: <span class="monotype">grid-column-start</span> / <span class="monotype">grid-row-start</span> / <span class="monotype">grid-column-end</span> / <span class="monotype">grid-row-end</span></h2>
  <div class="grid-container grid-colrow-startend">
    <div class="grid-item elemento-a">A</div>
    <div class="grid-item elemento-b">B</div>
  </div>

  <h2>Propiedad elementos: <span class="monotype">grid-column</span> / <span class="monotype">grid-row</span>></h2>
  <div class="grid-container grid-colrow">
    <div class="grid-item elemento-a">A</div>
  </div>

  <h2>Propiedad elementos: <span class="monotype">grid-area</span></h2>
  <div class="grid-container grid-area">
    <div class="grid-item elemento-a">A</div>
  </div>

  <h2>Propiedad elementos: <span class="monotype">justify-self</span></h2>
  <div class="grid-container justify-self">
    <div class="grid-item elemento-a">A</div>
  </div>

  <h2>Propiedad elementos: <span class="monotype">align-self</span></h2>
  <div class="grid-container align-self">
    <div class="grid-item elemento-a">A</div>
  </div>

  <h2>Propiedad elementos: <span class="monotype">place-self</span></h2>
  <div class="grid-container place-self">
    <div class="grid-item elemento-a">A</div>
    <div class="grid-item">B</div>
    <div class="grid-item">C</div>
    <div class="grid-item">D</div>
    <div class="grid-item">E</div>
  </div>

</body>
</html>
